<!--
-- ListDate.vue, emilien <emilien@emilien-pc>, 2021
-->

<template>
	<div class="ui-listdate-root flex center-align gap-0-5">
		<h5>{{ formatted_date }}</h5>
		<span>-</span>
		<p class="label lg gray-600 fg"> {{ dayTot }}</p>
	</div>
</template>

<script>
import { format_date, format_time } from '@/utils/time';

export default {
	name: 'ListDate',
	props: {
		date: Date,
	},
	computed: {
		formatted_date() {
			return format_date(this.date);
		},
		dayTot() { return format_time(this.$store.getters['appUsage/dayTot'](this.date)); }
	}

};
</script>

<style lang="scss" scoped>
</style>

